<?

if (empty($urlType[2])) {
	$err = 404;
} else {
	$err = (int) $urlType[2];
}

$msg = false;

if ($err == 404) {
	$msg = 'Страницы не существует, или она удалена';
	header("HTTP/1.1 404 Not Found");
}
if ($err == 400) {
	$msg = 'Неверный запрос к серверу';
}
if ($err == 403) {
	$msg = 'Доступ запрещён';
	header("HTTP/1.1 403 Forbidden");
}
if ($err == 500) {
	$msg = 'Внутренняя ошибка сервера';
}
if ($err == 502) {
	$msg = 'Ошибочный шлюз сервера';
}

$t->assign('data', 
	[
		'msg' 		=> $msg,
		'err' 		=> $err,
		'urlType' 	=> $urlType,
		'urlPage' 	=> $urlPage,		
	]
);
//Вызываем шаблон
echo $t->fetch('main.error');